---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/90035#article
headline: "90035: Broadcast 'MessageStatusCallbackUrl' is too long"
url: https://www.twilio.com/docs/api/errors/90035
inLanguage: en
dateModified: 2026-06-08T11:38:30.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 90035: Broadcast 'MessageStatusCallbackUrl' is too long

Log Type: APPLICATION

Log Level: ERROR

## Description

This error occurs when your broadcast request includes a `MessageStatusCallbackUrl` value that exceeds the length Twilio accepts. Twilio uses status callback URLs to send outbound message status updates to your webhook endpoint, and invalid request data is rejected during request validation.

### Possible causes

* The `MessageStatusCallbackUrl` value is longer than Twilio accepts for a broadcast request.
* The callback URL includes unnecessary query parameters, fragments, or other appended data that increase its total length. Twilio webhook URLs follow standard URL syntax, and optional connection override fragments also add characters to the URL.
* Your application generates a different callback URL for each request instead of reusing a shorter endpoint. This is a likely cause when request-specific state is being added directly to the URL.

### Possible solutions

* Shorten the value you send in `MessageStatusCallbackUrl`.
* Remove unnecessary query parameters, path segments, and webhook connection override fragments from the callback URL. Only include override settings when you need them.
* Use a shorter reusable webhook endpoint for message status events, then correlate each event in your application by using the identifiers Twilio provides for message tracking such as `operationId` and `messageId`.
* After shortening the URL, make sure it still uses a valid `http` or `https` URL format and a valid hostname before you retry the request.

#### Additional resources

* [Bulk Messaging API](/docs/bulk-messaging)
* [Operations and Message Tracking](/docs/bulk-messaging/operations-and-message-tracking)
* [Messaging Webhooks](/docs/usage/webhooks/messaging-webhooks)
